%global pkgvers 0
%global scdate0 20240730
%global schash0 c6f4ecf6f74ea4dd33742feadff6e63f492b6e45
%global branch0 main
%global source0 https://github.com/miek/inspectrum.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           inspectrum
Version:        0.3.1
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Tool for analysing captured signals
License:        GPLv3

URL:            https://github.com/miek/inspectrum

BuildRequires:  cmake gcc-c++ git pkgconfig
BuildRequires:  fftw-devel liquid-dsp-devel
BuildRequires:  json-devel qt5-qtbase-devel
%if 0%{?fedora}
BuildRequires:  libsigmf-devel flatbuffers-devel
%endif

%define __cmake_in_source_build 1

%description
Inspectrum is a tool for analysing captured signals,
primarily from software-defined radio receivers.

%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
mkdir -p build
pushd build
%cmake -Wno-dev .. \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo

make %{?_smp_mflags} VERBOSE=1
popd


%install
rm -rf %{buildroot}
pushd build
make install DESTDIR=%{buildroot}
popd


%files
%doc README.md
%license LICENSE
%{_bindir}/*


%changelog
* Tue Aug 25 2020 Balint Cristian <cristian.balint@gmail.com>
- initial release
